> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Refresh Intent

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json POST /refresh_intents
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /refresh_intents:
    post:
      summary: Create Refresh Intent
      operationId: refresh-intents-create
      parameters:
        - name: link_token
          in: query
          description: >-
            The access token of the `Link` that wants to be updated, returned
            when creating said `Link`.
          required: true
          schema:
            type: string
            default: link_Q0xVGPvijElLRMwE_token_FhsFVurz5q5FycHA5xxhTpzX
        - name: result_status
          in: query
          description: >-
            In `test` mode it allows you to decide the result of the `Refresh
            Intent`. In `live` mode it is ignored.
          schema:
            type: string
            enum:
              - succeeded
              - failed
              - rejected
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
        - name: refresh_type
          in: query
          description: >-
            The statement we are refreshing. `only_last` retrieves the
            provisional statement. `historical` retrieves the historical
            statement.
          schema:
            type: string
            default: only_last
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "id": "ri_2dXqkOKkS9mOvnaW",
                        "object": "refresh_intent",
                        "refreshed_object": "link",
                        "refreshed_object_id": "link_6n12zLmai3lLE9Dq",
                        "status": "created",
                        "created_at": "2021-08-23T18:22:46.792Z",
                        "type": "only_last"
                    }
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: ri_2dXqkOKkS9mOvnaW
                  object:
                    type: string
                    example: refresh_intent
                  refreshed_object:
                    type: string
                    example: link
                  refreshed_object_id:
                    type: string
                    example: link_6n12zLmai3lLE9Dq
                  status:
                    type: string
                    example: created
                  created_at:
                    type: string
                    example: '2021-08-23T18:22:46.792Z'
                  type:
                    type: string
                    example: only_last
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "error": {
                            "type": "invalid_request_error",
                            "message": "This Link was recently refreshed.You have to wait at least 5 minutes between refresh intents",
                            "code": "rate_limit_exceeded",
                            "param": null,
                            "doc_url": "https://docs.fintoc.com/reference#errores"
                        }
                    }
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        example: invalid_request_error
                      message:
                        type: string
                        example: >-
                          This Link was recently refreshed.You have to wait at
                          least 5 minutes between refresh intents
                      code:
                        type: string
                        example: rate_limit_exceeded
                      param: {}
                      doc_url:
                        type: string
                        example: https://docs.fintoc.com/reference#errores
      deprecated: false

````